# Uses of Interface
org.codehaus.janino.IClass.IAnnotation

Packages that use IClass.IAnnotation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClass.IAnnotation in org.codehaus.janino

Fields in org.codehaus.janino declared as IClass.IAnnotation
Modifier and Type
Field
Description
`static final IClass.IAnnotation[]`
IClass.`NO_ANNOTATIONS`
Array of zero `IClass.IAnnotation`s.
Methods in org.codehaus.janino that return IClass.IAnnotation
Modifier and Type
Method
Description
`IClass.IAnnotation[]`
IClass.IMember.`getAnnotations()`
`IClass.IAnnotation[]`
UnitCompiler.SimpleIField.`getAnnotations()`
`final IClass.IAnnotation[]`
IClass.`getIAnnotations()`
`protected IClass.IAnnotation[]`
ClassFileIClass.`getIAnnotations2()`
`protected IClass.IAnnotation[]`
IClass.`getIAnnotations2()`